import {select, arc} from 'd3';

const svg = select("svg");

const height = +(svg.attr('height'));

const width = +(svg.attr('width'));

const g = svg.append('g')
	.attr('transform', `translate(${width/2},${height/2})`);

const circle = g.append('circle')
	.attr('r',height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpace= 100;
const eyeYOffset= -70;
const eyeRadius= 40;
const eyebrowWidth=50;
const eyebrowHeight=20;
const eyebrowYOffset= -50;

const eyesG = g.append('g')
	.attr('transform', `translate(0,${eyeYOffset})`);

const leftEye = eyesG.append('circle')
	.attr('r', eyeRadius)
	.attr('cx',-eyeSpace);

const rightEye = eyesG.append('circle')
	.attr('r', eyeRadius)
	.attr('cx',eyeSpace);

const eyebrowG = eyesG.append('g')
	.attr('transform', `translate(0,${eyebrowYOffset})`);

eyebrowG
  .transition().duration(2000)
      .attr('transform', `translate(0,${eyebrowYOffset-40})`)
  .transition().duration(2000)
      .attr('transform', `translate(0,${eyebrowYOffset})`);
	
const leftEyebrow = eyebrowG.append('rect')
    .attr('x', -eyeSpace - eyebrowWidth/2)
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);
	

const rightEyebrow = eyebrowG.append('rect')
	.attr('x', eyeSpace - eyebrowWidth/2)
	.attr('y', eyebrowYOffset)
	.attr('width', eyebrowWidth)
	.attr('height', eyebrowHeight);


const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius: 150,
  	outerRadius: 170,
  	startAngle: Math.PI/2,
  	endAngle: Math.PI * 3/2
 	}));